Summary:	Convenience libraries sitting on top of libxcb
Name:		xcb-util
Version:	0.4.0
Release:	4%{?dist}
License:	MIT
URL:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
BuildRequires:  make gcc pkgconfig(xcb) >= 1.4


%description
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.


%package 	devel
Summary:	Development and header files for xcb-util
Requires:	%{name} = %{version}-%{release}

%description	devel
Development files for xcb-util.


%prep
%setup -q

%build
%configure --with-pic --disable-static --disable-silent-rules
%make_build


%check
make check


%install
%make_install
rm -rf %{buildroot}%{_libdir}/*.la


%files
%license COPYING
%doc README
%{_libdir}/libxcb-util.so.1*


%files devel
%doc NEWS
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/xcb/*.h


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 15 2022 rockerzhu <rockerzhu@tencent.com> - 0.4.0-1
- Initial build
